Bug 852119 - Setting initial environment on org create no longer works
Setting initial environment on org create no longer works
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: David Davis
Og Maciel
: Regression, TestBlocker, Triaged
: 854282 (view as bug list)
Depends On:
Blocks: 854283
  Show dependency treegraph
 
Reported: 2012-08-27 12:18 EDT by Jeff Weiss
Modified: 2014-11-09 17:52 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Due to a misnamed variable in the server's processing code, the environment field was ignored when creating a new organization. This created Organizations without the specified initial environments. This fix corrects the variable name and users now successfully create new organizations with the specified initial environments.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:51:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2012-08-27 12:18:57 EDT
Description of problem:


Version-Release number of selected component (if applicable):
Katello Version: 1.1.7-1.git.67.ab5ee66.el6_3

How reproducible:


Steps to Reproduce:
1. Create an org - fill in the name and an initial env name
2. 
3.
  
Actual results:
org does not contain any environments

Expected results:
org contains the env you specified on creation

Additional info:
Comment 1 Og Maciel 2012-08-30 10:36:31 EDT
* katello/production.log:
  Started POST "/katello/organizations" for 10.12.209.119 at Thu Aug 30 09:18:49 -0400 2012
  [ INFO: 2012-08-30 09:18:49 #9137]   Processing by OrganizationsController#create as
  [ INFO: 2012-08-30 09:18:49 #9137]   Parameters: {"organization"=>{"description"=>"", "name"=>"Paris"}, "utf8"=>"✓", "environment"=>{"description"=>"", "name"=>"Dev"}, "authenticity_token"=>"UAXvM2k5g4VWh6kHI6LNskbLTJe1soOnoznEQtpiy7E="}
  [DEBUG: 2012-08-30 09:18:49 #9137] Setting locale: en
  [DEBUG: 2012-08-30 09:18:49 #9137] Setting current user thread-local variable to admin
  [DEBUG: 2012-08-30 09:18:49 #9137] Checking  params  for organizations/create
  [DEBUG: 2012-08-30 09:18:49 #9137] Authorizing admin for organizations/create
  [DEBUG: 2012-08-30 09:18:49 #9137] Creating an owner in candlepin: Paris
  [DEBUG: 2012-08-30 09:18:49 #9137] Resource POST request: /candlepin/owners/, {"key":"Paris","contentPrefix":"/Paris/$env","displayName":"Paris"}
  [DEBUG: 2012-08-30 09:18:50 #9137] Processing response: 200
  [DEBUG: 2012-08-30 09:18:50 #9137] Resource GET request: /candlepin/owners/Paris/servicelevels
  [DEBUG: 2012-08-30 09:18:50 #9137] Processing response: 200
  [ INFO: 2012-08-30 09:18:50 #9137] Creating an environment in candlepin: Library
  [DEBUG: 2012-08-30 09:18:50 #9137] Resource POST request: /candlepin/owners/Paris/environments, {"id":10,"description":null,"name":"Library"}
  [DEBUG: 2012-08-30 09:18:50 #9137] Processing response: 200
  [DEBUG: 2012-08-30 09:18:50 #9137] Resource GET request: /candlepin/owners/Paris/servicelevels
  [DEBUG: 2012-08-30 09:18:50 #9137] Processing response: 200
  [ INFO: 2012-08-30 09:18:50 #9137] Rendered common/_list_item.html.haml (4.1ms)
  [DEBUG: 2012-08-30 09:18:50 #9137] Setting current user thread-local variable to nil
  [ INFO: 2012-08-30 09:18:50 #9137] Completed 200 OK in 629ms (Views: 5.0ms |  ActiveRecord: 41.8ms)
Comment 3 Og Maciel 2012-09-04 18:02:42 EDT
*** Bug 854282 has been marked as a duplicate of this bug. ***
Comment 4 Tom McKay 2012-09-06 09:48:31 EDT
*** Bug 854282 has been marked as a duplicate of this bug. ***
Comment 6 Og Maciel 2012-09-14 13:26:10 EDT
The difference between Organization (plus the default environment) and creating the environment after the organization was created:

Started POST "/cfse/organizations/QE/environments" for 10.11.10.122 at Fri Sep 14 12:54:14 -0400 2012
[ INFO: 2012-09-14 12:54:14 #13264]   Processing by EnvironmentsController#create as JS
[ INFO: 2012-09-14 12:54:14 #13264]   Parameters: {"authenticity_token"=>"qSgLBvoxHp5ldlSL7zaFEimCPP47EYBAb2bsDQdPcVc=", "kt_environment"=>{"name"=>"DEV", "description"=>"", "prior"=>"2"}, "utf8"=>"✓", "organization_id"=>"QE", "commit"=>"Create"}
[DEBUG: 2012-09-14 12:54:14 #13264] Setting locale: en
[DEBUG: 2012-09-14 12:54:14 #13264] Setting current user thread-local variable to admin
[DEBUG: 2012-09-14 12:54:14 #13264] Checking  params  for environments/create
[DEBUG: 2012-09-14 12:54:14 #13264] Authorizing admin for environments/create
[ INFO: 2012-09-14 12:54:14 #13264] Creating an environment in candlepin: DEV
[DEBUG: 2012-09-14 12:54:14 #13264] Resource POST request: /candlepin/owners/QE/environments, {"id":3,"name":"DEV","description":""}
[DEBUG: 2012-09-14 12:54:14 #13264] Processing response: 200
[DEBUG: 2012-09-14 12:54:14 #13264] Resource GET request: /candlepin/owners/QE/servicelevels
[DEBUG: 2012-09-14 12:54:14 #13264] Processing response: 200
[ INFO: 2012-09-14 12:54:14 #13264] Rendered text template (0.0ms)
[DEBUG: 2012-09-14 12:54:14 #13264] Setting current user thread-local variable to nil
[ INFO: 2012-09-14 12:54:14 #13264] Completed 200 OK in 371ms (Views: 23.1ms | ActiveRecord: 95.2ms)
[ INFO: 2012-09-14 12:54:14 #13260] 

Started GET "/cfse/organizations/QE/edit" for 10.11.10.122 at Fri Sep 14 12:54:14 -0400 2012
[ INFO: 2012-09-14 12:54:14 #13260]   Processing by OrganizationsController#edit as HTML
[ INFO: 2012-09-14 12:54:14 #13260]   Parameters: {"id"=>"QE"}
[DEBUG: 2012-09-14 12:54:14 #13260] Setting locale: en
[DEBUG: 2012-09-14 12:54:14 #13260] Setting current user thread-local variable to admin
[DEBUG: 2012-09-14 12:54:14 #13260] Checking  params  for organizations/edit
[DEBUG: 2012-09-14 12:54:14 #13260] Authorizing admin for organizations/edit
[ INFO: 2012-09-14 12:54:14 #13260] Rendered organizations/_download_debug_certificate.html.haml (1.1ms)
[ INFO: 2012-09-14 12:54:14 #13260] Rendered common/_fav.html.haml (1.6ms)
[ INFO: 2012-09-14 12:54:14 #13260] Rendered organizations/_footer.html.haml (2.3ms)
[ INFO: 2012-09-14 12:54:14 #13260] Rendered organizations/_edit.html.haml (28.4ms)
[DEBUG: 2012-09-14 12:54:14 #13260] Setting current user thread-local variable to nil
[ INFO: 2012-09-14 12:54:14 #13260] Completed 200 OK in 57ms (Views: 24.7ms | ActiveRecord: 12.7ms)
[ INFO: 2012-09-14 12:54:18 #13264] 

Started GET "/cfse/organizations/QE/environments/new" for 10.11.10.122 at Fri Sep 14 12:54:18 -0400 2012
[ INFO: 2012-09-14 12:54:18 #13264]   Processing by EnvironmentsController#new as HTML
[ INFO: 2012-09-14 12:54:18 #13264]   Parameters: {"organization_id"=>"QE"}
[DEBUG: 2012-09-14 12:54:18 #13264] Setting locale: en
[DEBUG: 2012-09-14 12:54:18 #13264] Setting current user thread-local variable to admin
[DEBUG: 2012-09-14 12:54:18 #13264] Checking  params  for environments/new
[DEBUG: 2012-09-14 12:54:18 #13264] Authorizing admin for environments/new
[ INFO: 2012-09-14 12:54:18 #13264] Rendered environments/_new.html.haml (18.8ms)
[DEBUG: 2012-09-14 12:54:18 #13264] Setting current user thread-local variable to nil
[ INFO: 2012-09-14 12:54:18 #13264] Completed 200 OK in 211ms (Views: 182.9ms | ActiveRecord: 7.5ms)
[ INFO: 2012-09-14 12:54:24 #13260] 

Started POST "/cfse/organizations/QE/environments" for 10.11.10.122 at Fri Sep 14 12:54:24 -0400 2012
[ INFO: 2012-09-14 12:54:24 #13260]   Processing by EnvironmentsController#create as JS
[ INFO: 2012-09-14 12:54:24 #13260]   Parameters: {"authenticity_token"=>"qSgLBvoxHp5ldlSL7zaFEimCPP47EYBAb2bsDQdPcVc=", "utf8"=>"✓", "organization_id"=>"QE", "commit"=>"Create", "kt_environment"=>{"description"=>"", "name"=>"QE", "prior"=>"3"}}
[DEBUG: 2012-09-14 12:54:24 #13260] Setting locale: en
[DEBUG: 2012-09-14 12:54:24 #13260] Setting current user thread-local variable to admin
[DEBUG: 2012-09-14 12:54:24 #13260] Checking  params  for environments/create
[DEBUG: 2012-09-14 12:54:24 #13260] Authorizing admin for environments/create
[ INFO: 2012-09-14 12:54:24 #13260] Creating an environment in candlepin: QE
[DEBUG: 2012-09-14 12:54:24 #13260] Resource POST request: /candlepin/owners/QE/environments, {"id":4,"description":"","name":"QE"}
[DEBUG: 2012-09-14 12:54:24 #13260] Processing response: 200
[DEBUG: 2012-09-14 12:54:24 #13260] Resource GET request: /candlepin/owners/QE/servicelevels
[DEBUG: 2012-09-14 12:54:24 #13260] Processing response: 200
[ INFO: 2012-09-14 12:54:25 #13260] Rendered text template (0.0ms)
[DEBUG: 2012-09-14 12:54:25 #13260] Setting current user thread-local variable to nil
[ INFO: 2012-09-14 12:54:25 #13260] Completed 200 OK in 499ms (Views: 3.0ms | ActiveRecord: 101.7ms)
[ INFO: 2012-09-14 12:54:25 #13264] 

Started GET "/cfse/organizations/QE/edit" for 10.11.10.122 at Fri Sep 14 12:54:25 -0400 2012
[ INFO: 2012-09-14 12:54:25 #13264]   Processing by OrganizationsController#edit as HTML
[ INFO: 2012-09-14 12:54:25 #13264]   Parameters: {"id"=>"QE"}
[DEBUG: 2012-09-14 12:54:25 #13264] Setting locale: en
[DEBUG: 2012-09-14 12:54:25 #13264] Setting current user thread-local variable to admin
[DEBUG: 2012-09-14 12:54:25 #13264] Checking  params  for organizations/edit
[DEBUG: 2012-09-14 12:54:25 #13264] Authorizing admin for organizations/edit
[ INFO: 2012-09-14 12:54:25 #13264] Rendered organizations/_download_debug_certificate.html.haml (5.7ms)
[ INFO: 2012-09-14 12:54:25 #13264] Rendered common/_fav.html.haml (4.9ms)
[ INFO: 2012-09-14 12:54:25 #13264] Rendered organizations/_footer.html.haml (9.6ms)
[ INFO: 2012-09-14 12:54:25 #13264] Rendered organizations/_edit.html.haml (58.0ms)
[DEBUG: 2012-09-14 12:54:25 #13264] Setting current user thread-local variable to nil
[ INFO: 2012-09-14 12:54:25 #13264] Completed 200 OK in 234ms (Views: 201.0ms | ActiveRecord: 12.0ms)
Comment 13 Og Maciel 2012-09-25 16:22:09 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-9.el6cf.noarch
* katello-all-1.1.12-9.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-5.el6cf.noarch
* katello-cli-common-1.1.8-5.el6cf.noarch
* katello-common-1.1.12-9.el6cf.noarch
* katello-configure-1.1.9-4.el6cf.noarch
* katello-glue-candlepin-1.1.12-9.el6cf.noarch
* katello-glue-pulp-1.1.12-9.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 15 errata-xmlrpc 2012-12-04 14:51:48 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 16 Mike McCune 2013-08-16 14:24:20 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.